<?php
/*
 * NOTICE OF LICENSE
 *
 * This source file is subject to a commercial license from SILADEL SAS.
 * Use, copy, modification or distribution of this source file without written
 * accord from by S.A.S. SILADEL is strictly forbidden.
 * In order to obtain a license, please contact us: info@siladel.fr
 */

/*
 * LICENCE D'UTILISATION
 * 
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe SILADEL SAS.
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence délivré par la societe SILADEL SAS. est strictement interdite.
 * Pour obtenir une licence, veuillez nous contacter à l'adresse : info@siladel.fr
 */

/**
 * @package     EANPRODOC
 * @author      David I.
 * @copyright   Copyright 2020, SILADEL SAS 
 */
 

if (file_exists('../../main.inc.php')) {
	require __DIR__.'/../../main.inc.php';
} else {
	require __DIR__.'/../../../main.inc.php';
}

if (file_exists(dirname(__FILE__) . '/../class/eanprodoc.class.php')) {
	require_once dirname(__FILE__). '/../class/eanprodoc.class.php';
} else { 
    die("File not found, eanprodoc.class.php");
}

require_once '../lib/eanprodoc.lib.php';

require_once DOL_DOCUMENT_ROOT.'/core/lib/admin.lib.php';


$langs->load("admin");
$langs->load("eanprodoc@eanprodoc");

if (!$user->admin) {
    accessforbidden();
}

$action = GETPOST('action','alpha');
$value  = GETPOST('value','alpha');
$backtopage = GETPOST('backtopage', 'alpha');
$eanprodoc_exclu = GETPOST('EANPRODOC_EXCLU','alpha');


if ($action == 'activate_eanprodoc_fact') {
    dolibarr_set_const($db, "EANPRODOC_FACT", "1",'chaine',0,'',$conf->entity);
    header("Location: eanprodoc.php");
    exit;
} else if ($action == 'disable_eanprodoc_fact') {
    dolibarr_del_const($db, "EANPRODOC_FACT",$conf->entity);
    header("Location: eanprodoc.php");
    exit;
}

if ($action == 'activate_eanprodoc_com') {
    dolibarr_set_const($db, "EANPRODOC_COM", "1",'chaine',0,'',$conf->entity);
    header("Location: eanprodoc.php");
    exit;
} else if ($action == 'disable_eanprodoc_com') {
    dolibarr_del_const($db, "EANPRODOC_COM",$conf->entity);
    header("Location: eanprodoc.php");
    exit;
}

if ($action == 'activate_eanprodoc_exp') {
    dolibarr_set_const($db, "EANPRODOC_EXP", "1",'chaine',0,'',$conf->entity);
    header("Location: eanprodoc.php");
    exit;
} else if ($action == 'disable_eanprodoc_exp') {
    dolibarr_del_const($db, "EANPRODOC_EXP",$conf->entity);
    header("Location: eanprodoc.php");
    exit;
}


if ($action == 'activate_eanprodoc_com') {
    dolibarr_set_const($db, "EANPRODOC_COM", "1",'chaine',0,'',$conf->entity);
    header("Location: eanprodoc.php");
    exit;
} else if ($action == 'disable_eanprodoc_com') {
    dolibarr_del_const($db, "EANPRODOC_COM",$conf->entity);
    header("Location: eanprodoc.php");
    exit;
}

if ($action == 'activate_eanprodoc_scom') {
    dolibarr_set_const($db, "EANPRODOC_SCOM", "1",'chaine',0,'',$conf->entity);
    header("Location: eanprodoc.php");
    exit;
} else if ($action == 'disable_eanprodoc_scom') {
    dolibarr_del_const($db, "EANPRODOC_SCOM",$conf->entity);
    header("Location: eanprodoc.php");
    exit;
}

if ($action == 'activate_eanprodoc_sfact') {
    dolibarr_set_const($db, "EANPRODOC_SFACT", "1",'chaine',0,'',$conf->entity);
    header("Location: eanprodoc.php");
    exit;
} else if ($action == 'disable_eanprodoc_sfact') {
    dolibarr_del_const($db, "EANPRODOC_SFACT",$conf->entity);
    header("Location: eanprodoc.php");
    exit;
}

if ($action == 'set_eanprodoc_exclu') {
    dolibarr_set_const($db, "EANPRODOC_EXCLU", $eanprodoc_exclu,'chaine',0,'',$conf->entity);
    header("Location: eanprodoc.php");
    exit;
}

if ($action == 'activate_eanprodoc_pcode') {
    dolibarr_set_const($db, "EANPRODOC_PCODE", "1",'chaine',0,'',$conf->entity);
    header("Location: eanprodoc.php");
    exit;
} else if ($action == 'disable_eanprodoc_pcode') {
    dolibarr_del_const($db, "EANPRODOC_PCODE",$conf->entity);
    header("Location: eanprodoc.php");
    exit;
}
// <Pragma>
if ($action == 'activate_eanprodoc_br') {
    dolibarr_set_const($db, "EANPRODOC_BL", "1",'chaine',0,'',$conf->entity);
    header("Location: eanprodoc.php");
    exit;
} else if ($action == 'disable_eanprodoc_br') {
    dolibarr_del_const($db, "EANPRODOC_BL",$conf->entity);
    header("Location: eanprodoc.php");
    exit;
}
// </Pragma>



/*****************************/

/*
 * Affiche page
 */


 
$form=new Form($db);

llxHeader("","");

// Configuration header
$page_name = "eanprodoc_setup";
$head = eanprodocAdminPrepareHead();
print load_fiche_titre($langs->trans($page_name), $linkback, 'eanprodoc@eanprodoc');
print dol_get_fiche_head($head, 'settings', $langs->trans($page_name), -1, "eanprodoc@eanprodoc");


print '<br>';

/*
 * Formulaire parametres divers
 */


print '<br>';

/*
 * Formulaire parametres divers
 */
$var=true;

print '<table class="noborder" width="100%">';
print '<tr class="liste_titre">';
print '<td>'.$langs->trans("eanprodoc_desc").'</td>';
print '<td align="center" width="20">&nbsp;</td>';
print '<td align="center" width="100">'.$langs->trans("Status").'</td>';
print '</tr>'."\n";

///-------------

$var=!$var;
print '<tr '.$bc[$var].'>';
print '<td>'.$langs->trans("eanprodoc_fact").'</td>';
print '<td align="center" width="20">';
print '</td>';
print '<td align="center" width="100">';
if($conf->global->EANPRODOC_FACT == 0) {
    print '<a href="eanprodoc.php?action=activate_eanprodoc_fact">'.img_picto($langs->trans("Disabled"),'switch_off').'</a>';
}
else if($conf->global->EANPRODOC_FACT == 1) {
    print '<a href="eanprodoc.php?action=disable_eanprodoc_fact">'.img_picto($langs->trans("Enabled"),'switch_on').'</a>';
}
print "</td>";
print '</tr>';

///-------------


$var=!$var;
print '<tr '.$bc[$var].'>';
print '<td>'.$langs->trans("eanprodoc_com").'</td>';
print '<td align="center" width="20">';
print '</td>';
print '<td align="center" width="100">';
if($conf->global->EANPRODOC_COM == 0) {
    print '<a href="eanprodoc.php?action=activate_eanprodoc_com">'.img_picto($langs->trans("Disabled"),'switch_off').'</a>';
}
else if($conf->global->EANPRODOC_COM == 1) {
    print '<a href="eanprodoc.php?action=disable_eanprodoc_com">'.img_picto($langs->trans("Enabled"),'switch_on').'</a>';
}
print "</td>";
print '</tr>';

///-------------


$var=!$var;
print '<tr '.$bc[$var].'>';
print '<td>'.$langs->trans("eanprodoc_exp").'</td>';
print '<td align="center" width="20">';
print '</td>';
print '<td align="center" width="100">';
if($conf->global->EANPRODOC_EXP == 0) {
    print '<a href="eanprodoc.php?action=activate_eanprodoc_exp">'.img_picto($langs->trans("Disabled"),'switch_off').'</a>';
}
else if($conf->global->EANPRODOC_EXP == 1) {
    print '<a href="eanprodoc.php?action=disable_eanprodoc_exp">'.img_picto($langs->trans("Enabled"),'switch_on').'</a>';
}
print "</td>";
print '</tr>';

///-------------

///-------------

// <Pragma>
$var=!$var;
print '<tr '.$bc[$var].'>';
print '<td>'.$langs->trans("eanprodoc_br").'</td>';
print '<td align="center" width="20">';
print '</td>';
print '<td align="center" width="100">';
if($conf->global->EANPRODOC_BL == 0) {
    print '<a href="eanprodoc.php?action=activate_eanprodoc_br">'.img_picto($langs->trans("Disabled"),'switch_off').'</a>';
}
else if($conf->global->EANPRODOC_BL == 1) {
    print '<a href="eanprodoc.php?action=disable_eanprodoc_br">'.img_picto($langs->trans("Enabled"),'switch_on').'</a>';
}
print "</td>";
print '</tr>';
// </Pragma>
///-------------



print '<tr class="liste_titre">';
print '<td>'.$langs->trans("eanprodoc_sdesc").'</td>';
print '<td align="center" width="20">&nbsp;</td>';
print '<td align="center" width="100">'.$langs->trans("Status").'</td>';
print '</tr>'."\n";

///-------------

$var=!$var;
print '<tr '.$bc[$var].'>';
print '<td>'.$langs->trans("eanprodoc_sfact").'</td>';
print '<td align="center" width="20">';
print '</td>';
print '<td align="center" width="100">';
if($conf->global->EANPRODOC_SFACT == 0) {
    print '<a href="eanprodoc.php?action=activate_eanprodoc_sfact">'.img_picto($langs->trans("Disabled"),'switch_off').'</a>';
}
else if($conf->global->EANPRODOC_SFACT == 1) {
    print '<a href="eanprodoc.php?action=disable_eanprodoc_sfact">'.img_picto($langs->trans("Enabled"),'switch_on').'</a>';
}
print "</td>";
print '</tr>';


///-------------


$var=!$var;
print '<tr '.$bc[$var].'>';
print '<td>'.$langs->trans("eanprodoc_scom").'</td>';
print '<td align="center" width="20">';
print '</td>';
print '<td align="center" width="100">';
if($conf->global->EANPRODOC_SCOM == 0) {
    print '<a href="eanprodoc.php?action=activate_eanprodoc_scom">'.img_picto($langs->trans("Disabled"),'switch_off').'</a>';
}
else if($conf->global->EANPRODOC_SCOM == 1) {
    print '<a href="eanprodoc.php?action=disable_eanprodoc_scom">'.img_picto($langs->trans("Enabled"),'switch_on').'</a>';
}
print "</td>";
print '</tr>';

///-------------

print '<tr class="liste_titre">';
print '<td>'.$langs->trans("eanprodoc_ddesc").'</td>';
print '<td align="center" width="20">&nbsp;</td>';
print '<td align="center" width="100">'.$langs->trans("Status").'</td>';
print '</tr>'."\n";

///-------------

$var=!$var;
print '<form method="post" action="'.$_SERVER["PHP_SELF"].'">';
print '<input type="hidden" name="token" value="'.$_SESSION['newtoken'].'">';
print "<input type=\"hidden\" name=\"action\" value=\"set_eanprodoc_exclu\">";
print '<tr '.$bc[$var].'><td colspan="2">';
print $langs->trans("eanprodoc_exclu");
print '<input size="40" class="flat" type="text" name="EANPRODOC_EXCLU" value="'.$conf->global->EANPRODOC_EXCLU.'">';
print '</td><td align="right">';
print '<input type="submit" class="button" value="'.$langs->trans("Save").'">';
print "</td></tr>\n";
print '</form>';


$var=!$var;
print '<tr '.$bc[$var].'>';
print '<td>'.$langs->trans("eanprodoc_pcode").'</td>';
print '<td align="center" width="20">';
print '</td>';
print '<td align="center" width="100">';
if($conf->global->EANPRODOC_PCODE == 0) {
    print '<a href="eanprodoc.php?action=activate_eanprodoc_pcode">'.img_picto($langs->trans("Disabled"),'switch_off').'</a>';
}
else if($conf->global->EANPRODOC_PCODE == 1) {
    print '<a href="eanprodoc.php?action=disable_eanprodoc_pcode">'.img_picto($langs->trans("Enabled"),'switch_on').'</a>';
}
print "</td>";
print '</tr>';
print '</table>';
print '</div>';


$db->close();

llxFooter();

