<?php

/*
 * NOTICE OF LICENSE
 *
 * This source file is subject to a commercial license from SILADEL SAS.
 * Use, copy, modification or distribution of this source file without written
 * accord from by S.A.S. SILADEL is strictly forbidden.
 * In order to obtain a license, please contact us: info@siladel.fr
 */

/*
 * LICENCE D'UTILISATION
 * 
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe SILADEL SAS.
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence délivré par la societe SILADEL SAS. est strictement interdite.
 * Pour obtenir une licence, veuillez nous contacter à l'adresse : info@siladel.fr
 */

/**
 * @package     EANPRODOC
 * @author      David I.
 * @copyright   Copyright 2020, SILADEL SAS 
 */

include_once DOL_DOCUMENT_ROOT . '/core/modules/DolibarrModules.class.php';

/**
 *  Description and activation class for module Eanprodoc
 */
class modeanprodoc extends DolibarrModules {

    public function __construct($db) {
        global $langs, $conf;

        $this->db = $db;
        $this->numero = 721130;
        $this->rights_class = 'eanprodoc';
        $this->family = "products";
        $this->module_position = 500;
        $this->name = preg_replace('/^mod/i', '', get_class($this));
        $this->description = "Module" . $this->numero . "Desc";
        $this->descriptionlong = "Module" . $this->numero . "DescLong";;
        $this->editor_name = 'SILADEL SAS';
        $this->editor_url = 'https://www.siladel.fr';

        $this->version = '1.5.1';
        $this->const_name = 'MAIN_MODULE_' . strtoupper($this->name);
        $this->picto='eanprodoc@eanprodoc';
        
        // Config pages.
        $this->config_page_url = array("eanprodoc.php@eanprodoc");

        $this->module_parts = array(
            'tpl' => 0, // Set this to 1 if module overwrite template dir (core/tpl)
            'barcode' => 0, // Set this to 1 if module has its own barcode directory (core/modules/barcode)
            'models' => 0, // Set this to 1 if module has its own models directory (core/modules/xxx)
            'css' => array(), // Set this to relative path of css file if module has its own css file
            'js' => array(), // Set this to relative path of js file if module must load a js on all pages
            'hooks' => array('ordercard', 'invoicecard', 'expeditioncard', 'ordersuppliercard', 'invoicesuppliercard','bonderetourcard')  // Set here all hooks context managed by module. You can also set hook context 'all'
        );

        $this->dirs = array();

        $this->hidden = false;   // A condition to hide module
        $this->depends = array();  // List of module class names as string that must be enabled if this module is enabled
        $this->requiredby = array(); // List of module ids to disable if this one is disabled
        $this->conflictwith = array(); // List of module class names as string this module is in conflict with
        $this->phpmin = array(5, 6);     // Minimum version of PHP required by module
        $this->need_dolibarr_version = array(7, 0); // Minimum version of Dolibarr required by module
        $this->langfiles = array("eanprodoc@eanprodoc");
        $this->warnings_activation = array();                     // Warning to show when we activate module. array('always'='text') or array('FR'='textfr','ES'='textes'...)
        $this->warnings_activation_ext = array();                 // Warning to show when we activate an external module. array('always'='text') or array('FR'='textfr','ES'='textes'...)
    
        $this->const = array(
            0=>array('EANPRODOC_EXP',"chaine","1",'Add barcode in expeditions sheet',true, 'current', true),
            1=>array('EANPRODOC_EXCLU',"chaine","",'del barcode in expeditions template',true, 'current', true),
            2=>array('EANPRODOC_FACT',"chaine","0",'Add barcode in invoice',true, 'current', true),
            3=>array('EANPRODOC_COM',"chaine","0",'Add barcode in order',true, 'current', true),
            4=>array('EANPRODOC_SCOM',"chaine","0",'Add barcode in supplier order',true, 'current', true),
            5=>array('EANPRODOC_SFACT',"chaine","0",'Add barcode in supplier invoice',true, 'current', true),
            6=>array('EANPRODOC_PCODE',"chaine","0",'Add code in barcode',true, 'current', true),
            7=>array('EANPRODOC_BR',"chaine","1",'Add barcode in delivery',true, 'current', true)
        );

        if (!isset($conf->eanprodoc) || !isset($conf->eanprodoc->enabled)) {
            $conf->eanprodoc = new stdClass();
            $conf->eanprodoc->enabled = 0;
        }

    }

    /**
     *  Function called when module is enabled.
     * 	The init function add constants, boxes, permissions and menus (defined in constructor) into Dolibarr database.
     * 	It also creates data directories
     *
     *  @param      string	$options    Options when enabling module ('', 'noboxes')
     *  @return     int             	1 if OK, 0 if KO
     */
    public function init($options = '') {
        $sql = array();
        include_once DOL_DOCUMENT_ROOT . '/core/class/extrafields.class.php';
        $extrafields = new ExtraFields($this->db);

        return $this->_init($sql, $options);
    }

    /**
     * Function called when module is disabled.
     * Remove from database constants, boxes and permissions from Dolibarr database.
     * Data directories are not deleted
     *
     * @param      string	$options    Options when enabling module ('', 'noboxes')
     * @return     int             	1 if OK, 0 if KO
     */
    public function remove($options = '') {
        $sql = array();
        
        return $this->_remove($sql, $options);
    }

}